Reactivate

View as Markdown

Changes a subscription from canceled/inactive to live/active.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

subscription_idstringRequired
Unique subscription ID

Request

This endpoint expects an object.
everyintegerRequired
Number of periods
every_periodintegerRequired
Type of period
start_datedateRequired

The date the subscription becomes active. Expected format: YYYY-MM-DD. Also used as the base for calculating the first order date when next_order_date is not provided (start_date + frequency).

next_order_datedateOptional

Optional - Sets the date for the first order after reactivation. Expected format: YYYY-MM-DD. Must not be in the past. If not provided, the order date defaults to start_date + frequency (derived from every and every_period fields).

Response

200
customerstringOptional
merchantstringOptional
productstringOptional
paymentstringOptional
shipping_addressstringOptional
offerstringOptional
subscription_typestringOptional
componentslist of objectsOptional
extra_dataobjectOptional
public_idstringOptional
product_attributeanyOptional
quantityintegerOptionalDefaults to 0
pricestring or nullOptional
frequency_daysintegerOptionalDefaults to 0
reminder_daysintegerOptionalDefaults to 0
everyintegerOptionalDefaults to 0
every_periodintegerOptionalDefaults to 0
start_datestringOptional
cancelledstring or nullOptional
cancel_reasonstring or nullOptional
cancel_reason_codeinteger or nullOptional
iterationanyOptional
sequenceanyOptional
session_idstringOptional
merchant_order_idstringOptional
customer_repinteger or nullOptional
clubanyOptional
createdstringOptional
updatedstringOptional
livebooleanOptionalDefaults to true

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error